<?php defined("C5_EXECUTE") or die("Access Denied."); 

$app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
$assets = $app->make('helper/concrete/asset_library');
$editor = $app->make('editor');
?>

<div class="form-group">
    <?php
    if (isset($image) && $image > 0) {
        $image_o = File::getByID($image);
        if (!is_object($image_o)) {
            unset($image_o);
        }
    } ?>
    <?php echo $form->label($view->field('image'), t("Image")); ?>
    <?php echo isset($btFieldsRequired) && in_array('image', $btFieldsRequired) ? '<small class="required">' . t('Required') . '</small>' : null; ?>
    <?php echo $assets->image('ccm-b-main_image-image-' . $identifier_getString, $view->field('image'), t("Choose Image"), $image_o); ?>
</div>
<div class="form-group">
    <?php echo $form->label($view->field('content'), t("Content")); ?>
    <?php echo isset($btFieldsRequired) && in_array('content', $btFieldsRequired) ? '<small class="required">' . t('Required') . '</small>' : null; ?>
    <?php echo $editor->outputBlockEditModeEditor($view->field('content'), $content); ?>
</div>