<?php
namespace Dexign\Express\Form\Context;

use Concrete\Core\Express\Form\Context\FrontendFormContext as CoreFrontendFormContext;
use Concrete\Core\Filesystem\TemplateLocator;

class FrontendFormContext extends CoreFrontendFormContext
{
    public function getAttributeContext()
    {
        return new \Dexign\Attribute\Context\FrontendFormContext();
    }
    
    public function setLocation(TemplateLocator $locator)
        {
            $locator = parent::setLocation($locator);
            $locator->prependLocation([DIRNAME_ELEMENTS .
                DIRECTORY_SEPARATOR .
                DIRNAME_EXPRESS .
                DIRECTORY_SEPARATOR .
                DIRNAME_EXPRESS_FORM_CONTROLS .
                DIRECTORY_SEPARATOR .
                DIRNAME_EXPRESS_FORM_CONTROLS // not a typo
            , 'dexign_theme']);
            return $locator;
        }
}