<?php
namespace Dexign\Attribute\Context;

use Concrete\Core\Attribute\Context\FrontendFormContext as BaseFrontendFormContext;
use Concrete\Core\Filesystem\TemplateLocator;

class FrontendFormContext extends BaseFrontendFormContext
{
    
    public function __construct()
    {
        parent::__construct();
        $this->preferTemplateIfAvailable('dexign', 'dexign_theme');
    }
    
    public function setLocation(TemplateLocator $locator)
    {
        $locator->setTemplate(['dexign', 'dexign_theme']);
        return $locator;
    }
}
